| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
HandStateHandlerConfig Interface Reference
PDFViewCtrl » stateHandler

## Public Attributes
boolean | enableAnnotationSelectionTool
| Whether to enable annotation selection tool. By default, annotation selection tool is enabled. More...
boolean | enablePasting
| Specifies whether the paste functionality is enabled or disabled in the hand state. By default, the enablePasting property is set to true, enabling the ability to paste content, including both text and images. When set to false, users will not have the option to paste content into the PDF page. More...
boolean | enableTextSelectionTool
| Whether to enable text selection tool. By default, text selection tool is enabled. More...

## Detailed Description

Since
  9.0.0

See also
  StateHandlerManager.setStateHandlerConfig
  StateHandlerManager.getStateHandlerConfig
  STATE_HANDLER_NAMES.STATE_HANDLER_HAND

## Member Data Documentation

## ◆ enableAnnotationSelectionTool

boolean HandStateHandlerConfig::enableAnnotationSelectionTool

Whether to enable annotation selection tool. By default, annotation selection tool is enabled.

Note
  This property will take effect immediately after modification.

Since
  10.0.0

## ◆ enablePasting

boolean HandStateHandlerConfig::enablePasting

Specifies whether the paste functionality is enabled or disabled in the hand state. By default, the enablePasting property is set to true, enabling the ability to paste content, including both text and images. When set to false, users will not have the option to paste content into the PDF page.

Note
  - The "enablePasting" property only affects the paste functionality in "hand" state. It does not impact the PDFViewer.copyAnnots functionality or any other paste-related functionalities in other state of interaction.
  - In "hand" state, setting "enablePasting" to false will disable the ability to paste text and image, but the copy annotation functionality and other paste-related functionalities, such as programmatically accessing the PDFViewer.pasteAnnot API, remain unaffected.

Since
  9.1.0

## ◆ enableTextSelectionTool

boolean HandStateHandlerConfig::enableTextSelectionTool

Whether to enable text selection tool. By default, text selection tool is enabled.

Note
  This property will take effect immediately after modification.

Since
  9.0.0

@2025 Foxit Software Incorporated. All rights reserved.